News World News

Tuesday 16 September 2014

Security flaw threat to passwords

Published 09/04/2014 | 03:07

  • Share
Cyber bullying is a risk factor in suicide according to report

Passwords, credit cards and other sensitive data are at risk from faulty encryption technology used to transmit email, e-commerce transactions, social networking posts and other web traffic securely, experts have warned .

  • Share
  • Go To

Security researchers say the threat, known as Heartbleed, is serious, partly because it remained undiscovered for more than two years.

Attackers can exploit the vulnerability without leaving any trace, so anything sent during that time has potentially been compromised. It is not known, though, whether anyone has actually used it to conduct an attack.

Researchers are advising people to change all of their passwords.

The flaw was discovered independently in recent days by researchers at Google and Finnish security firm Codenomicon.

The breach involves SSL/TLS, an encryption technology marked by the small, closed padlock and "https:" on web browsers to signify that traffic is secure. With the Heartbleed flaw, traffic was subject to snooping even if the padlock had been closed.

The problem affects only the variant of SSL/TLS known as OpenSSL, but that happens to be one of the most common on the internet.

Researchers at Codenomicon say that OpenSSL is used by two of the most widely used web server software, Apache and nginx. That means many websites potentially have this security flaw.

OpenSSL is also used to secure email, chats and virtual private networks, which are used by employees to connect securely with corporate networks.

Despite the worries, Codenomicon said many large consumer sites did not have the problem because of their "conservative choice" of equipment and software. "Ironically smaller and more progressive services or those who have upgraded to (the) latest and best encryption will be affected most," the firm added.

A fix came out on Monday, but affected websites and service providers must install the update.

Yahoo's Tumblr blogging service uses OpenSSL. In a blog post yesterday, officials at the service said they had no evidence of any breach and had immediately implemented the fix.

"But this still means that the little lock icon (HTTPS) we all trusted to keep our passwords, personal emails, and credit cards safe, was actually making all that private information accessible to anyone who knew about the exploit," Tumblr's blog post read.

"This might be a good day to call in sick and take some time to change your passwords everywhere - especially your high-security services like email, file storage, and banking, which may have been compromised by this bug."

Yahoo said its other services, including email, Flickr and search, also had the vulnerability. The company said some of the systems had already been fixed, while work was being done on the rest of Yahoo's websites.

The company reiterated its standard recommendation for people to change passwords regularly and to add a backup mobile number to the account. That number can be used to verify a user's identity if there are problems accessing the account because of hacking.

Press Association

Read More

Editors Choice

Also in World News